using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using Spine.Unity;
using Spine;
using Unity.VisualScripting;

public class PlayerVisual : MonoBehaviour
{
    private const string BreakString = "die";
    private SkeletonAnimation skeletonAnimation;

    private void Awake()
    {
        skeletonAnimation = GetComponent<SkeletonAnimation>();
    }

    public void PlayDieAni()
    {
        var state = skeletonAnimation.AnimationState;
        TrackEntry trackEntry = state.SetAnimation(0, BreakString, false);
    }
}
